- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DRender
- QProximityFilter
- Qt 6.5.1 Reference Documentation

# QProximityFilter Class

class Qt3DRender::QProximityFilter

Select entities which are within a distance threshold of a target entity. More...

Header: | #include <QProximityFilter>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Instantiated By: | ProximityFilter
Inherits: | Qt3DRender::QFrameGraphNode

- List of all members, including inherited members

## Properties

- distanceThreshold : float
- entity : Qt3DCore::QEntity*

## Public Functions

float | distanceThreshold() const
Qt3DCore::QEntity * | entity() const

## Public Slots

void | setDistanceThreshold(float distanceThreshold)
void | setEntity(Qt3DCore::QEntity *entity)

## Signals

void | distanceThresholdChanged(float distanceThreshold)
void | entityChanged(Qt3DCore::QEntity *entity)

## Detailed Description

A Qt3DRender::QProximityFilter can be used to select entities to render when they are placed within a given distance threshold of another entity.

## Property Documentation

### distanceThreshold : float

Holds the distance to the target entity above which entities are filtered out.

Access functions:

float | distanceThreshold() const
void | setDistanceThreshold(float distanceThreshold)

Notifier signal:

void | distanceThresholdChanged(float distanceThreshold)

### entity : Qt3DCore::QEntity*

Holds the entity against which we should compare the distance to.

Access functions:

Qt3DCore::QEntity * | entity() const
void | setEntity(Qt3DCore::QEntity *entity)

Notifier signal:

void | entityChanged(Qt3DCore::QEntity *entity)